Bug 528838 - No fetchmail report for logwatch (fix included)
Summary: No fetchmail report for logwatch (fix included)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: logwatch
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karel Klíč
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-13 23:20 UTC by Oron Peled
Modified: 2013-03-03 22:59 UTC (History)
4 users (show)

Fixed In Version: logwatch-7.3.6-58.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-07 20:16:20 UTC


Attachments (Terms of Use)

Description Oron Peled 2009-10-13 23:20:52 UTC
Description of problem:
logwatch does not contain any fetchmail report.

I implemented a basic reporting backend:
 * The script itself is in:
     http://oron.fedorapeople.org/logwatch/fetchmail
   and should obviously be installed in:
     /usr/share/logwatch/scripts/services/

 * A default configuration file is in:
     http://oron.fedorapeople.org/logwatch/fetchmail.conf
   and should be installed in:
     /usr/share/logwatch/default.conf/services/

Example output:
{{{
--------------------- Fetchmail Begin ------------------------ 
 Messages
    someuser at someprovider: 3
    anotheruser at someprovider: 51
    Total: 54
 
 Authorization failures
    someuser@somemailserver: 2 Time(s)
    anotheruser@somemailserver: 1 Time(s)
    Total: 3
 
 No Mail
    someuser at someprovider: 91 Time(s)
    anotheruser at someprovider: 53 Time(s)
    someuser at otherprovider: 96 Time(s)
    yetanother at someprovider: 96 Time(s)
    Total: 336
 
 **Unmatched Entries**
    socket error while fetching from someuser@somemailserver: 1 Time(s)
    timeout after 300 seconds waiting for server somemailserver: 1 Time(s)
---------------------- Fetchmail End -------------------------
}}}

Comment 1 Ivana Varekova 2009-10-21 11:31:39 UTC
Please could you report this bug to logwatch upstream - it would be fine to have it there. 
If you have any problem with reporting please write here, or if you prefer it I can sent the note instead of you

Comment 2 Oron Peled 2009-10-22 08:25:08 UTC
Just mailed their logwatch (dash) patches (at) logwatch (dot) org
with the files and a link to this bug report.

Let's see...

Comment 3 Oron Peled 2009-10-22 22:12:01 UTC
Got a response from logwatch author:
  From: Kirk Bauer <kirk (at) kaybee (dot) org>
  Date: Thu, 22 Oct 2009 06:30:24 -0700

  Thanks, I'll put it in the queue!
  -----------------------------------------------------
  Kirk Bauer <kirk (at) kaybee (dot) org>
  http://linux.kaybee.org | www.logwatch.org
  Author, Automating UNIX & Linux Administration

That was quick. I hope their queue isn't stalled though ;-)

Comment 4 Ivana Varekova 2009-10-23 07:25:18 UTC
Thanks, good work.

Comment 5 Robert Scheck 2009-11-22 15:02:19 UTC
Is there something new? That feature seems to be interesting...

Comment 6 Oron Peled 2009-11-22 22:04:05 UTC
Looks like the upstream maintainer forwarded it:
  http://www2.list.logwatch.org:81/pipermail/logwatch-devel/2009-October/002136.html

However, I cannot find any hint of this actually being committed anywhere:
  http://www2.cvs.logwatch.org:81/index.cgi/logwatch/scripts/services/

Refering #1 maybe it would be better for Ivana to try and push this.

Comment 7 Ivana Varekova 2009-11-23 11:12:58 UTC
It usually takes upstream some time to review the patch and incorporate it to upstream cvs.

Comment 8 Bug Zapper 2010-04-28 10:49:45 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Oron Peled 2010-04-28 16:00:08 UTC
* Bumped version to 12.

* Kerel (current package maintainer) -- Do you know if/when new upstream
  logwatch package is due?

* If upstream is stalled (6 months) are there other alternatives?
  - Maintain this as a Fedora patch (it's two new files, without editing
    any existing file).
  - Maybe other distros are interested and can help push it? (Debian?)

Comment 10 Karel Klíč 2010-04-29 17:11:09 UTC
Hi Oron,

I do not know about any upstream plans to release a new version.

I'll include your fetchmail service as a patch when preparing next update.

Comment 11 Karel Klíč 2010-05-11 09:44:28 UTC
Good news: the fetchmail service is commited into upstream SVN repository.

Comment 12 Karel Klíč 2010-08-19 16:36:04 UTC
The fetchmail service has been added to the latest rawhide build (logwatch-7.3.6-55.fc15).

Comment 13 Karel Klíč 2010-08-19 16:50:24 UTC
Fedora 14: logwatch-7.3.6-55.fc14

Comment 14 Bug Zapper 2010-11-04 09:28:06 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Oron Peled 2010-11-06 16:25:40 UTC
Fedora 14 (fully updated) still contains older version.
Just checked again in koji and bodhi:

 * Newer versions were built in koji:
     http://koji.fedoraproject.org/koji/buildinfo?buildID=191052
     http://koji.fedoraproject.org/koji/buildinfo?buildID=199816
     http://koji.fedoraproject.org/koji/buildinfo?buildID=199829
 * But non was pushed to bodhi:
     https://admin.fedoraproject.org/updates/search/logwatch

Updated this bug to refer F-14

Comment 16 Fedora Update System 2010-11-25 18:51:07 UTC
logwatch-7.3.6-58.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/logwatch-7.3.6-58.fc14

Comment 17 Fedora Update System 2010-11-26 01:09:56 UTC
logwatch-7.3.6-58.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update logwatch'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/logwatch-7.3.6-58.fc14

Comment 18 Fedora Update System 2010-12-07 20:16:05 UTC
logwatch-7.3.6-58.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.